Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class ModalDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          edu.stanford.smi.protege.util.ModalDialog

All Implemented Interfaces:
  Disposable, ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants

    public class ModalDialog

extends JDialog
implements Disposable

A class to handle all modal dialog processing. This class just wraps the JDialog modal dialog implementation but adds some additional features such as a call back mechanism to stop an "OK". This class was originally written to work around the JDK 1.0 modal dialogs that didn't work at all. It also predates the JOptionPane stuff that is similar.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Nested Class Summary
`static interface` | `ModalDialog.CloseCallback`

Nested classes/interfaces inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static int` | `MODE_CLOSE`
`static int` | `MODE_OK_CANCEL`
`static int` | `MODE_YES_NO`
`static int` | `MODE_YES_NO_CANCEL`
`static int` | `OPTION_CANCEL`
`static int` | `OPTION_CLOSE`
`static int` | `OPTION_NO`
`static int` | `OPTION_OK`
`static int` | `OPTION_YES`
`static int` | `RESULT_ERROR`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Method Summary
`void` | `attemptClose(int result)`
`static void` | `attemptDialogClose(int result)`
`static Action` | `getCloseAction(Component c)`
`static ModalDialog` | `getCurrentDialog()`
`static int` | `showDialog(Component parent, Component panel, String title, int mode)`
`static int` | `showDialog(Component parent, Component panel, String title, int mode, ModalDialog.CloseCallback callback)`
`static int` | `showDialog(Component parent, Component panel, String title, int mode, ModalDialog.CloseCallback callback, boolean enableCloseButton)`
`static void` | `showMessageDialog(Component parent, String message)`
`static int` | `showMessageDialog(Component parent, String message, int mode)`
`static void` | `showMessageDialog(Component parent, String message, String title)`
`static int` | `showMessageDialog(Component parent, String message, String title, int mode)`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isAlwaysOnTop, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationByPlatform, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Field Detail

### OPTION_OK

    public static final int OPTION_OK

See Also:
  Constant Field Values

### OPTION_YES

    public static final int OPTION_YES

See Also:
  Constant Field Values

### OPTION_NO

    public static final int OPTION_NO

See Also:
  Constant Field Values

### OPTION_CANCEL

    public static final int OPTION_CANCEL

See Also:
  Constant Field Values

### OPTION_CLOSE

    public static final int OPTION_CLOSE

See Also:
  Constant Field Values

### RESULT_ERROR

    public static final int RESULT_ERROR

See Also:
  Constant Field Values

### MODE_OK_CANCEL

    public static final int MODE_OK_CANCEL

See Also:
  Constant Field Values

### MODE_YES_NO_CANCEL

    public static final int MODE_YES_NO_CANCEL

See Also:
  Constant Field Values

### MODE_YES_NO

    public static final int MODE_YES_NO

See Also:
  Constant Field Values

### MODE_CLOSE

    public static final int MODE_CLOSE

See Also:
  Constant Field Values

Method Detail

### attemptDialogClose

    public static void attemptDialogClose(int result)

### attemptClose

    public void attemptClose(int result)

### getCurrentDialog

    public static ModalDialog getCurrentDialog()

### showDialog

    public static int showDialog(Component parent,
                                 Component panel,
                                 String title,
                                 int mode)

### showDialog

    public static int showDialog(Component parent,
                                 Component panel,
                                 String title,
                                 int mode,
                                 ModalDialog.CloseCallback callback)

### showDialog

    public static int showDialog(Component parent,
                                 Component panel,
                                 String title,
                                 int mode,
                                 ModalDialog.CloseCallback callback,
                                 boolean enableCloseButton)

### showMessageDialog

    public static void showMessageDialog(Component parent,
                                         String message)

### showMessageDialog

    public static void showMessageDialog(Component parent,
                                         String message,
                                         String title)

### showMessageDialog

    public static int showMessageDialog(Component parent,
                                        String message,
                                        int mode)

### showMessageDialog

    public static int showMessageDialog(Component parent,
                                        String message,
                                        String title,
                                        int mode)

### getCloseAction

    public static Action getCloseAction(Component c)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.